LINE_TERMS = {
    'FENDER': [['fender', 'panel']],
    'BUMPER': [
        ['face', 'bar'], ['bumper', 'cover'], ['rear', 'step']
    ],
    'GRILLE': [['grille']],
    'HOOD': [['hood', 'panel'], ['hood', 'assembly'], ['hood', 'assy']],
    'LAMPS': [
        ['lamp', 'assy'], ['lens', 'housing'], ['lamp', 'assembly'],
        ['combination'], ['tail', 'light'], ['side', 'marker'],
        ['corner', 'lamp']
    ],
    'DOOR': [['door', 'shell'], ['door', 'assy'], ['door', 'assembly']],
    'TRUNK': [['trunk', 'lid'], ['deck', 'lid'], ['luggage', 'lid']],
    'TAILGATE': [['tailgate'], ['tail', 'gate'], ['lift', 'gate']],
    'PICKUP BED': [['bed', 'assy'], ['bed', 'assembly'], ['pickup', 'bed']],
    'WHEEL': [['wheel'], ['rim']],
    'TIRE': [['tire']],
    'GLASS': [['glass'], ['windshield'], ['back', 'glass']],
    'MIRROR': [['mirror']],
    'CONDENSER': [['condenser'], ['condensor']],
    'RADIATOR': [
        ['radiator', 'assy'], ['radiator', 'assembly'], ['cooling', 'radiator']
    ],
    'MUFFLER': [['muffler'], ['exhaust']],
    'CATALYTIC CONVERTER': [
        ['cat', 'converter'], ['cat', 'covertor'], ['converter']
    ],
    'RESONATOR': [['resonator'], ['resonater']],
    'ENGINE': [['engine']],
    'TRANSMISSION': [
        ['transmission'], ['trans', 'assy'], ['trans', 'assembly']
    ],
    'AXLE': [['axle']],
    'WATER PUMP': [['pump']],
    'CARBURETOR': [['carburetor']],
    'COMPRESSOR': [['compress']],
    'CLUTCH': [['clutch']],
    'RADIO': [['radio']],
    'ALTERNATOR': [['alternator']],
    'SHOCK': [['strut'], ['shock', 'absorber']],
    'TIE ROD': [['tie', 'rod']],
    'PAINT MATERIALS': [['paint', 'materials']],
    'ALIGNMENT': [
        ['front', 'end', 'align'], ['4', 'wheel', 'align'], ['2', 'wheel'],
        ['thrust', 'align']
    ],
    'ANTIFREEZE': [['anti', 'freeze'], ['antifreeze'], ['coolant']],
    'BALANCE WHEELS': [['mount', 'balance']],
    'CAULK': [['caulk']],
    'CAVITY WAX': [['cav', 'wax']],
    'CLEAR COAT': [['clear', 'coat']],
    'COLOR SAND BUFF': [['finish', 'sand'], ['color', 'sand', 'buff']],
    'CHIP GUARD': [
        ['chip', 'guard'], ['stone', 'guard'], ['stone', 'protect']
    ],
    'TINT COLOR': [['tint']],
    'DETAIL': [['detail'], ['wash']],
    'CORROSION PROTECTION': [['corr', 'protection']],
    'COVER CAR': [['mask', 'overspray'], ['cover', 'car'], ['bag']],
    'ENGINE OIL': [['oil']],
    'HAZ WASTE': [['epc'], ['haz', 'waste'], ['e.p.c']],
    'EVAC RECHARGE': [['recharge']],
    'FEATHER': [['fill', 'sand'], ['block', 'prime']],
    'FLEX ADDITIVE': [['flex']],
    'FRAME SET UP': [['measure'], ['frame', 'set']],
    'GLASS CLEAN UP': [['glass', 'clean']],
    'FLOOR PULL': [['floor', 'pull'], ['body', 'pull']],
    'RECODE CYLINDERS': [['recode'], ['lock', 'cylinder']],
    'ROPE GLASS': [['rope'], ['back', 'tape']],
    'RUST GUARD': [['rust']],
    'RESET AIRBAGS': [['reset', 'air'], ['reset', 'diagnose']],
    'SEAM SEALER': [['seam'], ['sealer'], ['caulk']],
    'TAPE STRIPE': [['tape', 'stripe']],
    'UNDERCOATING': [['undercoat']],
    'WELD THRU PRIMER': [['weld', 'primer'], ['weld', 'thru']],
    'DENIB AND FINESSE': [['de-nib'], ['finesse'], ['nib', 'polish']],
    'PULL': [
        ['body', 'pull'], ['sheet', 'pull'],
        ['unibody', 'pull'], ['floor', 'pull']
    ],
    'QUARTER PANEL': [['quarter', 'panel']],
    'SUSPENSION': [['suspension']],
    'ARM': [['arm']],
    'SKIRT': [['skirt'], ['fender', 'liner']],
    'ROOF': [['roof']],
    'TOWING': [['towing']],
    'STORAGE': [['storage']],
    'TOOL BOX': [['tool box']],
    'BEDLINER': [['bed', 'liner'], ['bedliner']],
    'TRIM': [['trip']],
    'BEARINGS': [['bearings']],
    'PAINTED STRIPE': [['painted', 'stripe']],
    'HEADLINER': [['headliner']],
    'FUEL PUMP': [['fuel', 'pump']],
    'CAMPER SHELL': [['camper', 'shell']],
    'DISCLAIMER': [['disclaimer']],
    'MISSING - NWCPP': [['nwcpp']],
    'SHEET METAL': [
        ['fender', 'panel'], ['face', 'bar'], ['bumper', 'cover'],
        ['rear', 'step'], ['hood', 'panel'], ['hood', 'assembly'],
        ['hood', 'assy'], ['door', 'shell'], ['door', 'assy'],
        ['door', 'assembly'], ['trunk', 'lid'], ['deck', 'lid'],
        ['luggage', 'lid'], ['tailgate'], ['tail', 'gate'],
        ['lift', 'gate'], ['bed', 'assy'], ['bed', 'assembly'],
        ['pickup', 'bed']
    ],
    'NON SHEET METAL': [
        ['lamp', 'assy'], ['lens', 'housing'], ['lamp', 'assembly'],
        ['combination'], ['tail', 'light'], ['side', 'marker'],
        ['corner', 'lamp'], ['grill'], ['wheel'], ['rim'], ['mirror'],
        ['condenser'], ['condensor'], ['radiator', 'assy'],
        ['radiator', 'assembly'], ['cooling', 'radiator'], ['muffler'],
        ['exhaust'], ['strut'], ['shock', 'absorber'], ['tie', 'rod']
    ],
    'POWER STEERING FLUID': [['power', 'steering']],
    'BRAKE FLUID': [['brake', 'fluid']],
    'REFRIGERANT': [['r134a'], ['refrigerant'], ['freon']],
    'STEERING': [['steering']],
    'ELECTRICAL': [['electrical']],
    'BATTERY': [['battery']],
    'UPHOLSTERY/CARPET': [['upholstery'], ['carpet']],
    'CONVERTIBLE TOPS': [['convertible']],
    'BALL JOINTS': [['ball', 'joint']],
    'DASH': [['dash']],
    'OXYGEN SENSORS': [['oxygen']],
    'WINDOW REGULATORS': [['regulator']],
    'BRAKES': [['shoe'], ['pad'], ['drum'], ['caliper'], ['rotor']],
    'AIRBAG & SAFETY RESTRAINTS': [['airbag']],
    'FRAME': [['frame']]
}
